---
inputType: "CA10__CaAzureAppService__c"
importExtracts:
  - file: "/types/CA10__CaAzureAppService__c/object.extracts.yaml"
testData:
  - file: "test-data.json"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "App Service Remote Debugging is not disabled."
    remediationMessage: "Consider disabling App Service Remote Debugging."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__configRemoteDebugging__c"
        right:
          TEXT: "Disabled"
  - status: "COMPLIANT"
    currentStateMessage: "App Service Remote Debugging is disabled."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__configRemoteDebugging__c"
        right:
          TEXT: "Enabled"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected value in the field."
